Create fulfillment location
POST https://{handle}.myshopline.com/admin/openapi/v20261201/fulfillment_service_location/create.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Create location for fulfillment service
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
locationobject required
Location informationaddress1 stringDetailed address 1Example:126 York Streetphone_code stringPhone number international districtExample:0010name string requiredLocation nameExample:Ottawa Storezip string requiredPostal codeExample:A1B 2C3address2 stringDetailed address 2, optionalExample:Unit 42city stringCityExample:Ottawaphone string requiredContact phone numberExample:18883290139city_code stringCity codeExample:120100province stringState / provinceExample:Ontarioprovince_code stringState / provincial encodingExample:2400011country_code string requiredCountry encodingExample:CAcountry stringCountryExample:Canada
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
locationobject
Location informationaddress1 stringDetailed address 1Example:126 York Streetname stringLocation nameExample:Ottawa Storelegacy booleanIs a location for fulfillment service or notExample:truecountry_code stringNational codeExample:CAphone_code stringPhone number international districtExample:0010country stringCountry NameExample:Canadacreate_at stringLocation created time ( format see IOS8601 )Example:2021-08-16T08:27:57+00:00phone stringTelephone numberExample:18883290139city stringCity nameExample:Ottawais_default booleanDefault location or notExample:trueupdate_at stringLocation created time ( format see IOS8601 )Example:2021-08-16T08:27:57+00:00zip stringPostal codeExample:A1B 2C3province_code stringProvince codeExample:2400011id stringLocation idExample:5668167071852661850province stringProvince nameExample:Ontariocity_code stringUrban codeExample:120100address2 stringDetailed address 2, optionalExample:Unit 42active booleanEnable or notExample:true
API Explorer
Debugger
Was this article helpful to you?